<span class="badge badge-primary">Document Detail</span>
<p-accordion>
  <p-accordionTab header="Pre Approval"
                  (click)="fetchPreApprovalAttachments('PRE_APPROVAL')">
    <div class="row card-group">
      <div class="col-sm-12" *ngFor="let attachments of preApprovalAttachments">
        <i class="pi pi-file-pdf" style="font-size: 1em"></i>
        <span>{{ attachments.fileName }}
          <a (click)="download(attachments.expenditureAttachmentId, attachments.fileName)"
             target="_blank">'
              <i class="pi pi-download" style="font-size: 1em"></i>
            </a>
        </span>
      </div>
    </div>
  </p-accordionTab>
  <p-accordionTab header="Bill Payment" *ngIf="type === 'BILL_PAYMENT'"
                  (click)="fetchBillPaymentAttachments('BILL_PAYMENT')">
    <div class="col-sm-12" *ngFor="let attachments of billPaymentAttachments">
      <i class="pi pi-file-pdf" style="font-size: 1em"></i>
      <span> {{ attachments.fileName }}
        <a (click)="download(attachments.expenditureAttachmentId, attachments.fileName)"
           target="_blank">'
          <i class="pi pi-download" style="font-size: 1em"></i>
        </a>
      </span>
    </div>
  </p-accordionTab>
</p-accordion>


